#ifndef DECORATIVEMODEL_HPP_INCLUDED
#define DECORATIVEMODEL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

class DecorativeModel : public Object
{
    public:
        DecorativeModel();
        DecorativeModel(const void* Obj);
        DecorativeModel(const DecorativeModel& D);
        static Class GetClass();

        std::int32_t GetAngle() const;
        std::int32_t GetFlags() const;
        std::int32_t GetHash() const;
        std::int32_t GetOffsetX() const;
        std::int32_t GetOffsetY() const;
        std::int32_t GetPlane() const;
        std::int32_t GetRenderInfo() const;
        Renderable GetRenderable() const;
        std::int32_t GetX() const;
        std::int32_t GetY() const;

};

#endif // DECORATIVEMODEL_HPP_INCLUDED
