#ifndef DYNAMICMODEL_HPP_INCLUDED
#define DYNAMICMODEL_HPP_INCLUDED

#include "Renderable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

class DynamicModel : public Renderable
{
    public:
        DynamicModel();
        DynamicModel(const void* Obj);
        DynamicModel(const DynamicModel& D);
        static Class GetClass();

        std::int32_t GetID() const;
        std::int32_t GetOrientation() const;
        std::int32_t GetType() const;
};

#endif // DYNAMICMODEL_HPP_INCLUDED
